namespace :rdms do
  desc 'Setup Hyrax, will read from specified file usage: rdms:setup_hyrax["setup.json"]'
  task :"setup_hyrax", [:seedfile] => :environment do |task, args|
    seedfile = args.seedfile

    unless args.seedfile.present?
      seedfile = Rails.root.join("seed","setup.json")
    end

    ##############################################
    # Start creating users
    ######
    Rake::Task['rdms:admin_user:create'].invoke
    Rake::Task['rdms:publication_manager:create'].invoke
    if (File.exists?(seedfile))
      Rake::Task["rdms:setup_users"].invoke(seedfile, false)
    end

    ######
    # finished creating users
    ##############################################

    ##############################################
    # Create default administrative set and load workflow
    ######
    Rake::Task['hyrax:default_admin_set:create'].invoke
    Rake::Task['hyrax:default_admin_set_for_workflow:create'].invoke
    Rake::Task['hyrax:workflow:load'].invoke
    Rake::Task['hyrax:default_collection_types:create'].invoke
    Rake::Task['rdms:crc_1280_collection:create'].invoke
    Rake::Task['rdms:s3_bucket:create'].invoke

    ##############################################
    # Create languages controlled vocabulary
    ######
    Rake::Task['hyrax:controlled_vocabularies:language'].invoke if Qa::Authorities::Local.subauthority_for('languages').all.size == 0
  end
end
